


<tr>
    <input type="hidden" name="regels_voorwaarden" value="[% voorwaarde_index %]"/>
    <td class="td250">

        [% kenmerk_fieldname = fieldname _ '_kenmerk' %]
        [% INCLUDE selecteer_milestone_kenmerk 
            kenmerk_name = 'regels_' _ fieldname _ '_kenmerk'
            populate_avoid_array = 1
            value = params.$kenmerk_fieldname
            show_wijk_options = distinct_parkeergebieden.size # show wijk options if the table is filled with at least one wijk option
            show_condition_options = 1
        %]        
    </td>
    <td>
        <div class="kenmerk_filter">
            [% value_fieldname = fieldname _ '_value' %]
            [% kenmerk_fieldname = fieldname _ '_kenmerk' %]
            [% kenmerk_id = global.kenmerk_selection %]
            [% operator_name = fieldname _ '_operator' %]

            [% IF kenmerk_id == 'aanvrager' %]
                [% kenmerk.kenmerk_options = [ 'Natuurlijk persoon' , 'Niet natuurlijk persoon' ] %]
                [% kenmerk_item = { 'type' => 'select' } %]
            [%- ELSIF kenmerk_id == 'preset_client' %]
                [% kenmerk.kenmerk_options = [ 'Ja', 'Nee' ] %]
                [% kenmerk_item = { 'type' => 'select' } %]


            [%- ELSIF kenmerk_id == 'case_result';
              resultaten = last_milestone.elementen.resultaten.values;
              options = [];
              FOREACH resultaat_index = zaaktype_resultaten.keys.sort;
                resultaat = zaaktype_resultaten.$resultaat_index;
                IF resultaat.label;
                  options.push(resultaat.label);
                ELSE;
                  options.push(resultaat.resultaat);
                END;
              END;
              kenmerk.kenmerk_options = options;
              kenmerk_item = { 'type' => 'select' }; %]
            [% ELSIF kenmerk_id == 'contactchannel' %]
                [% kenmerk.kenmerk_options = ZCONSTANTS.contactkanalen %]
                [% kenmerk_item = { 'type' => 'select' } %]
            [% ELSIF kenmerk_id == 'preferred_contact_channel';
                kenmerk.kenmerk_options = [
                    'Persoonlijke internetpagina',
                    'E-mail',
                    'Post',
                    'Telefoon'
                ];
                kenmerk_item = { 'type' => 'select' } %]
            [% ELSIF kenmerk_id == 'payment_status' %]
                [% kenmerk.kenmerk_options = ZCONSTANTS.payment_statuses %]
                [% kenmerk_item = { 'type' => 'select' } %]
            [% ELSIF kenmerk_id == 'confidentiality' %]
                [% kenmerk.kenmerk_options = ZCONSTANTS.confidentiality %]
                [% kenmerk_item = { 'type' => 'select' } %]
            [% ELSIF kenmerk_id == 'vertrouwelijkheidsaanduiding' %]
                [% kenmerk.kenmerk_options = ZCONSTANTS.vertrouwelijkheidsaanduiding_options %]
                [% kenmerk_item = { 'type' => 'select' } %]
            [% ELSIF kenmerk_id == 'beroep_mogelijk' ||
                     kenmerk_id == 'publicatie' ||
                     kenmerk_id == 'bag' ||
                     kenmerk_id == 'lex_silencio_positivo' ||
                     kenmerk_id == 'opschorten_mogelijk' ||
                     kenmerk_id == 'verlenging_mogelijk' ||
                     kenmerk_id == 'wet_dwangsom' ||
                     kenmerk_id == 'wkpb'
            %]
                [% kenmerk.kenmerk_options = ZCONSTANTS.casetype_boolean_property_options %]
                [% kenmerk_item = { 'type' => 'select' } %]
            [% ELSIF wijk_kenmerken.$kenmerk_id %]
                [% kenmerk.kenmerk_options = distinct_parkeergebieden %]
                [% kenmerk_item = { 'type' => 'select' } %]
            [% ELSE %]
                [% kenmerk_item = kenmerk_info.${kenmerk_id} %]
                [% kenmerk = c.model('Bibliotheek::Kenmerken').get('id', kenmerk_item.bibliotheek_kenmerken_id) %]
            [% END %]

            [% kenmerk_item.data        = params.${value_fieldname} %]
            [% kenmerk_item.operator    = params.${operator_name}   %]
            [% veldoptie_name           = 'regels_' _ value_fieldname %]

            [% IF 
                kenmerk_id          == 'aanvrager_postcode' || 
                kenmerk_item.type   == 'bag_adres' || 
                kenmerk_item.type   == 'bag_straat_adres'
            %]
                <div>
                    [% from_param = value_fieldname _ '_postcode_from' %]
                    [% to_param   = value_fieldname _ '_postcode_to'   %]
                    Postcode van: <input type="text" maxlength="6" class="ezra_regel_postcode mini60" name="[% veldoptie_name %]_postcode_from" value="[% params.$from_param %]" placeholder="1234ZZ"/>
                    tot: <input type="text" maxlength="6" class="ezra_regel_postcode mini60" name="[% veldoptie_name %]_postcode_to" value="[% params.$to_param %]" placeholder="1234ZZ"/>
                    <input type="hidden" name="[% veldoptie_name %]" value="1" /><!-- asserts that an actual postcode needs to be present -->
                </div>
            [% ELSIF kenmerk_id == 'payment_status' ||
                     kenmerk_id == 'confidentiality' ||
                     kenmerk_id == 'vertrouwelijkheidsaanduiding' ||
                     kenmerk_id == 'beroep_mogelijk' ||
                     kenmerk_id == 'publicatie' ||
                     kenmerk_id == 'bag' ||
                     kenmerk_id == 'lex_silencio_positivo' ||
                     kenmerk_id == 'opschorten_mogelijk' ||
                     kenmerk_id == 'verlenging_mogelijk' ||
                     kenmerk_id == 'wet_dwangsom' ||
                     kenmerk_id == 'wkpb'
            %]
                [% PROCESS widgets/general/form_elements/labeled_checkbox_group.tt 
                    veldoptie_type   = kenmerk_type
                    veldoptie_opties = kenmerk.kenmerk_options
                    veldoptie_value  = kenmerk_item.data                        
                %]
            [% ELSE %]
                [% kenmerk.kenmerk_options = add_active_structure(kenmerk.kenmerk_options) %]
                [% PROCESS widgets/general/kenmerk_filter.tt 
                    veldoptie_id = 'rule_filter' _ kenmerk_id
                    veldoptie_type =  kenmerk_item.type
                    veldoptie_opties = kenmerk.options
                    veldoptie_name = 'regels_' _ value_fieldname
                    veldoptie_operator_fieldname = 'regels_' _ operator_name
                %]
            [% END %]
        </div>
    </td>
    <td class="td20">
        [% IF params.voorwaarden && params.voorwaarden.size > 1 || new_voorwaarde %]
        <div class="row-actions">
            <a class="remove" href="#" >
                <i class="icon-font-awesome icon-remove"></i>
            </a>
        </div>
        [% END %]
    </td>
</tr>
